/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ServicequotasTemplateAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/aws/5.21.0/docs/resources/servicequotas_template_association#skip_destroy ServicequotasTemplateAssociation#skip_destroy}
    */
    readonly skipDestroy?: boolean | cdktf.IResolvable;
}
/**
* Represents a {@link https://registry.terraform.io/providers/hashicorp/aws/5.21.0/docs/resources/servicequotas_template_association aws_servicequotas_template_association}
*/
export declare class ServicequotasTemplateAssociation extends cdktf.TerraformResource {
    static readonly tfResourceType = "aws_servicequotas_template_association";
    /**
    * Create a new {@link https://registry.terraform.io/providers/hashicorp/aws/5.21.0/docs/resources/servicequotas_template_association aws_servicequotas_template_association} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ServicequotasTemplateAssociationConfig = {}
    */
    constructor(scope: Construct, id: string, config?: ServicequotasTemplateAssociationConfig);
    get id(): string;
    private _skipDestroy?;
    get skipDestroy(): boolean | cdktf.IResolvable;
    set skipDestroy(value: boolean | cdktf.IResolvable);
    resetSkipDestroy(): void;
    get skipDestroyInput(): boolean | cdktf.IResolvable | undefined;
    get status(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
